2

For my project, we want to deploy a demo server and publish my ASP.NET MVC 5 app to it. I'm familiar with developing applications in this environment, but I have no experience in deploying it to an actual server. Our sys admin does not have extensive experience with ASP.NET applications or IIS, but is reasonably well-versed in Windows Server.

Now, I can't really find what system requirements there are for the server - only for some older versions of ASP.NET MVC (e.g. version 2 or 3).

I am not asking in terms of capacity - I need to know the actual software version requirements:

  • What Windows Server version is the minimum?
  • Which IIS version
  • Any other software we'll need?
  • Server 2003 is going out of support in a few months. You do not want to be deploying any new projects to it. – Michael Hampton Sep 17 '14 at 15:37
  • Any version of Windows supporting the .NET Version you used to develop your application. Any version of IIS supporting the NET version you used to develop your application. The version of .NET you used to develop your application. – MichelZ Sep 18 '14 at 6:53
3

MVC 5 Applications require the .NET Framework 4.5 or 4.5.1 and may require other libraries depending on what was used to develop the application. Windows Server 2008 SP2 is the oldest supported version, and it's highly recommended to use 2012 or 2012 R2 (as those natively support that version of .NET)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.